#ifndef INCLUDED_snow_types_WindowEventType
#define INCLUDED_snow_types_WindowEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,WindowEventType)
namespace snow{
namespace types{


class WindowEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef WindowEventType_obj OBJ_;

	public:
		WindowEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.WindowEventType"); }
		::String __ToString() const { return HX_CSTRING("WindowEventType.") + tag; }

		static ::snow::types::WindowEventType unknown;
		static inline ::snow::types::WindowEventType unknown_dyn() { return unknown; }
		static ::snow::types::WindowEventType window_close;
		static inline ::snow::types::WindowEventType window_close_dyn() { return window_close; }
		static ::snow::types::WindowEventType window_created;
		static inline ::snow::types::WindowEventType window_created_dyn() { return window_created; }
		static ::snow::types::WindowEventType window_destroy;
		static inline ::snow::types::WindowEventType window_destroy_dyn() { return window_destroy; }
		static ::snow::types::WindowEventType window_enter;
		static inline ::snow::types::WindowEventType window_enter_dyn() { return window_enter; }
		static ::snow::types::WindowEventType window_exposed;
		static inline ::snow::types::WindowEventType window_exposed_dyn() { return window_exposed; }
		static ::snow::types::WindowEventType window_focus_gained;
		static inline ::snow::types::WindowEventType window_focus_gained_dyn() { return window_focus_gained; }
		static ::snow::types::WindowEventType window_focus_lost;
		static inline ::snow::types::WindowEventType window_focus_lost_dyn() { return window_focus_lost; }
		static ::snow::types::WindowEventType window_hidden;
		static inline ::snow::types::WindowEventType window_hidden_dyn() { return window_hidden; }
		static ::snow::types::WindowEventType window_leave;
		static inline ::snow::types::WindowEventType window_leave_dyn() { return window_leave; }
		static ::snow::types::WindowEventType window_maximized;
		static inline ::snow::types::WindowEventType window_maximized_dyn() { return window_maximized; }
		static ::snow::types::WindowEventType window_minimized;
		static inline ::snow::types::WindowEventType window_minimized_dyn() { return window_minimized; }
		static ::snow::types::WindowEventType window_moved;
		static inline ::snow::types::WindowEventType window_moved_dyn() { return window_moved; }
		static ::snow::types::WindowEventType window_resized;
		static inline ::snow::types::WindowEventType window_resized_dyn() { return window_resized; }
		static ::snow::types::WindowEventType window_restored;
		static inline ::snow::types::WindowEventType window_restored_dyn() { return window_restored; }
		static ::snow::types::WindowEventType window_shown;
		static inline ::snow::types::WindowEventType window_shown_dyn() { return window_shown; }
		static ::snow::types::WindowEventType window_size_changed;
		static inline ::snow::types::WindowEventType window_size_changed_dyn() { return window_size_changed; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_WindowEventType */ 
